Nach Update (27.4.2020) - openSUSE Leap 15.1, Firefox lädt wiedermal keine Seiten

Hallo Gemeinde,

Maschine: Lenovo T61 2,5Gh, 8G RAM, mit einer Nvidia Grafikkarte.

Ich musste gerade eben entsetzt feststellen, dass nach Auto-Update des Systems durch die angebotenen SUSE Updat’s, Firefox wieder keine Seiten mehr lädt! - (Das hatten wir unlängst schon mal) -
Ihr kennt den Text schon, den Firefox ausgibt:

Graue Seite und “Der Tab ist gerade abgestürzt”
Bestehende Tab’s bleiben aber am Leben!
Ich weiß nicht mehr welches der vielen heute eingespielten Update dafür verantwortlich zeichnet, es waren einige Updates die eingespielt wurden, aber aus dem Augenwinkel heraus habe ich gerade noch ein, xxxx mozilla.ms darin gesehen, ob das die Schuld trägt weiß ich jetzt nicht, dafür reichen meine Kenntnisse nicht aus.

Ehrlich gesagt das ist jetzt das zweite Mal und ich habe schon einen dicken Hals >:)

Trotzdem, für Hilfe Dankbar.
Freundliche Grüße :wink:
Andreas

@AndKie:

Leider, in Englisch, diese Diskussion wird momentan heiß verhandelt – <https://forums.opensuse.org/showthread.php/539921-Broken-Firefox-likely-pushed-via-Leap-15-1-updates>.

So, die übliche Fragen:

  1. Welche Fundgruben verwendest Du? – „zypper repos --uri”
  2. Welche Firefox Erweiterungen bzw. „Plugins” hast Du installiert?
  3. Ist deine Kiste sauber? – „zypper verify”; „rpm --verify --all”; „rpmconfigcheck” …
  4. Hat ein neu angelegte Testbenutzer die gleiche Problemen wenn Firefox verwendet wird?

Hallo Gemeinde,

Ich habe als .zip mal ein paar Daten angehängt.

linux-81l7:~ # zypper se -si firefox
Loading repository data…
Reading installed packages…

S | Name | Type | Version | Arch | Repository
—±-----------------------------------±--------±--------------------±-------±-------------------------------
i+ | MozillaFirefox | package | 68.7.0-lp151.2.42.1 | x86_64 | Hauptaktualisierungs-Repository
i+ | MozillaFirefox | package | 68.7.0-lp151.2.42.1 | x86_64 | Hauptaktualisierungs-Repository
i+ | MozillaFirefox-branding-openSUSE | package | 68-lp151.3.3.1 | x86_64 | Hauptaktualisierungs-Repository
i+ | MozillaFirefox-branding-openSUSE | package | 68-lp151.3.3.1 | x86_64 | Hauptaktualisierungs-Repository
i+ | MozillaFirefox-translations-common | package | 68.7.0-lp151.2.42.1 | x86_64 | Hauptaktualisierungs-Repository
i+ | MozillaFirefox-translations-common | package | 68.7.0-lp151.2.42.1 | x86_64 | Hauptaktualisierungs-Repository

Freundliche Grüße :wink:

Und hier:

linux-81l7:~ # zypper lr -d

| Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service

—±--------------------------------±--------------------------------------------------------±--------±----------±--------±---------±---------±----------------------------------------------------------------------------------±-------
1 | Update | Rocrail | Yes | ( p) Yes | Yes | 99 | plaindir | dir:/home/andreas/Source/Rocrail/Update |
2 | download.nvidia.com-leap | nVidia Graphics Drivers | Yes | (r ) Yes | Yes | 99 | rpm-md | https://download.nvidia.com/opensuse/leap/15.1 |
3 | download.opensuse.org-non-oss | Haupt-Repository (NON-OSS) | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.1/repo/non-oss/ |
4 | download.opensuse.org-non-oss_1 | Aktualisierungs-Repository (Nicht-Open-Source-Software) | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1/non-oss/ |
5 | download.opensuse.org-oss | Haupt-Repository (OSS) | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.1/repo/oss/ |
6 | download.opensuse.org-oss_1 | Hauptaktualisierungs-Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1/oss |
7 | electronics | Electronics stuff and development (openSUSE_Leap_15.2) | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/electronics/openSUSE_Leap_15.2/ |
8 | openSUSE-Leap-15.0-1 | openSUSE-Leap-15.0-1 | No | ---- | ---- | 99 | NONE | hd:/?device=/dev/disk/by-id/usb-Generic_USB_SD_Reader_058F312D81B-0:0-part2 |
9 | openSUSE-Leap-15.1-1 | openSUSE-Leap-15.1-1 | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.1/repo/oss/ |
10 | openSUSE_Leap_15.0 | opensuse.org/repositories/Java | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/Java:/Factory/openSUSE_Leap_15.1/ |
11 | openSUSE_Leap_15.1 | Electronics | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/electronics/openSUSE_Leap_15.1/ |
12 | openSUSE_Leap_15.1_1 | avr | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/CrossToolchain:/avr/openSUSE_Leap_15.1/ |
13 | opensuse-guide.org-repo | Libdvdcss Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.1/ |
14 | packman.inode.at-suse | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.1/ |
15 | repo-debug | openSUSE-Leap-15.1-Debug | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.1/repo/oss/ |
16 | repo-debug-non-oss | openSUSE-Leap-15.1-Debug-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.1/repo/non-oss/ |
17 | repo-debug-update | openSUSE-Leap-15.1-Update-Debug | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/update/leap/15.1/oss/ |
18 | repo-debug-update-non-oss | openSUSE-Leap-15.1-Update-Debug-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/update/leap/15.1/non-oss/ |
19 | repo-debug-update_1 | Aktualisierungs-Repository (Debug) | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/update/leap/15.1/oss |
20 | repo-debug_1 | Debug-Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.1/repo/oss/ |
21 | repo-non-oss | Non-OSS Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.1/repo/non-oss/ |
22 | repo-oss | Haupt-Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.1/repo/oss/ |
23 | repo-source | openSUSE-Leap-15.1-Source | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/source/distribution/leap/15.1/repo/oss/ |
24 | repo-source-non-oss | openSUSE-Leap-15.1-Source-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/source/distribution/leap/15.1/repo/non-oss/ |
25 | repo-source_1 | Quell-Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/source/distribution/leap/15.1/repo/oss/ |
26 | repo-update | Hauptaktualisierungs-Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1/oss |
27 | repo-update-non-oss | Aktualisierungs-Repository (Nicht-Open-Source-Software) | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1/non-oss/ |
28 | repo-update-test | Ungetestete Aktualisierungen | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1-test/ |

Die “test-repos” habe ich mittlerweilen herausgenommen.

Und zu guter Letzt

hier:

linux-81l7:~ # cat /var/log/zypp/history | grep -i 2020-04-27
2020-04-27 10:58:09|command|root@linux-81l7|’/usr/lib/packagekitd’|
2020-04-27 10:58:11|install|libsolv-tools|0.7.11-lp151.2.13.1|x86_64||repo-update-test|f190006468c29784eb3f24196f690b55bb6fe6f376e6a67c024274e6cd7956f5|
2020-04-27 10:58:11|install|python-solv|0.7.11-lp151.2.13.1|x86_64||repo-update-test|5ad954d758105c1c4b1775f51352f4f1b9d8127bb3905ba052238ea4d39b58f2|
2020-04-27 10:58:12|install|python3-solv|0.7.11-lp151.2.13.1|x86_64||repo-update-test|ed22b4c22cc040ab0c3af3d5c80dcc725f6718b44b5f9ae37e7cd325ac668a0f|
2020-04-27 10:58:18|install|libzypp|17.19.0-lp151.2.13.1|x86_64||repo-update-test|c8a3f0511d40729c8eabd35d1f2b8faef78d3a74249182bd8490c235293a85db|
2020-04-27 11:11:47|command|root@linux-81l7|’/usr/lib/packagekitd’|
2020-04-27 11:11:58|install|java-9-openjdk-headless|9.0.4.0-lp151.16.3|x86_64|root@linux-81l7|openSUSE_Leap_15.0|a1e07277b7ab88fce8912dd321791e4eda81f298ba738103c8109fafc4ea38cc|
2020-04-27 11:12:02|install|grub2|2.02-lp151.21.15.1|x86_64||repo-update-test|06ac094e08a466d75bc806918f445f35fc0f6d811a946e5c7c50e876530cc158|
2020-04-27 11:12:03|install|iscsiuio|0.7.8.2-lp151.13.9.1|x86_64||repo-update-test|1b8065bda851821dbc5b3405cc1abe0ef554369853881a1b5e0ff34d6271607f|
2020-04-27 11:12:03|install|libfreebl3|3.47.1-lp151.2.13.1|x86_64||repo-update-test|fca2ab815b8025ce56856c464fdb565f99e1c729f38341b286db6f1eebc88252|
2020-04-27 11:12:04|install|libfreebl3-32bit|3.47.1-lp151.2.13.1|x86_64||repo-update-test|893521d8d1bd90e020fdcf42d87cfc1a54ba09c3a5e21b40be6fb9a06664deca|
2020-04-27 11:12:04|install|libgcrypt20|1.8.2-lp151.9.19.1|x86_64||repo-update-test|697478caf29e0ff403b5f5b2ee438148a6b1fb726f7cacd9d05bfb12dff65b8a|
2020-04-27 11:12:05|install|libgcrypt20-32bit|1.8.2-lp151.9.19.1|x86_64||repo-update-test|b0b4b778e58ddbb5693eb78981479c8e773145f225087bba232bad10c5d75fa0|
2020-04-27 11:12:06|install|libjavascriptcoregtk-4_0-18|2.28.1-lp151.2.15.1|x86_64||repo-update-test|c6da8f370f09fa6922ba1fbca8c0c1710cfb7447f37fddf8e280b6d159d7b0f3|
2020-04-27 11:12:07|install|libo*****csiusr0_2_0|2.0.876-lp151.13.9.1|x86_64||repo-update-test|b614af7d6575cbb071c08ac1b3eba5b5e77120d2c7d93fce367967de9e6b54a9|
2020-04-27 11:12:07|install|mozilla-nss-certs|3.47.1-lp151.2.13.1|x86_64||repo-update-test|35f8024112da7c7f6a924f0ba9d63d6f590fd5e27b462b9406b842176a131373|
2020-04-27 11:12:08|install|mozilla-nss-certs-32bit|3.47.1-lp151.2.13.1|x86_64||repo-update-test|189a444dc3c5c4901502cf2e7ce87a8382f50790c7b97d417037859916a94b2f|
2020-04-27 11:12:09|install|perl-CGI|4.46-lp151.3.3.1|noarch||repo-update-test|b83b676ad443fe1e63f1c281210e8d4778071eb9c32f348195ed47966e676952|

2020-04-27 11:12:10 psqlODBC-10.01.0000-lp151.3.3.1.x86_64.rpm installed ok

2020-04-27 11:12:10|install|psqlODBC|10.01.0000-lp151.3.3.1|x86_64||repo-update-test|bfccf4ba515f5877d0d3e393666eafc62c08c609258961bcf9c50c799594b939|

2020-04-27 11:12:11 python2-six-1.11.0-lp151.4.3.1.noarch.rpm installed ok

2020-04-27 11:12:11|install|python2-six|1.11.0-lp151.4.3.1|noarch||repo-update-test|1734f22df6a57cd1a9f0bacf35a8c9598bc7125e8c6a0c1d98de4f271642e048|
2020-04-27 11:12:11|install|python3-pycups|1.9.74-lp151.3.3.1|x86_64||repo-update-test|aa32905930cbd51f5dbb7462aa0dc0b3d51e65abc9ea9420d4d9f736b87de65d|

2020-04-27 11:12:12 python3-six-1.11.0-lp151.4.3.1.noarch.rpm installed ok

2020-04-27 11:12:12|install|python3-six|1.11.0-lp151.4.3.1|noarch||repo-update-test|a6a4461b03df1e83339baa8015f64a01d6538671ed1297b1a5b500f1f114a8dc|
2020-04-27 11:12:12|install|supportutils|3.1.9-lp151.2.12.1|noarch||repo-update-test|0289be89b3f3e65d792452b6ec66407289571af0a5a13a7e1983d625ee03eaaf|
2020-04-27 11:12:13|install|ucode-intel|20191115-lp151.2.21.1|x86_64||repo-update-test|de875885a85ab33bd4be1fa136a40fa073f991889f5753af6783056c00b806a6|
2020-04-27 11:12:17|install|grub2-i386-pc|2.02-lp151.21.15.1|noarch||repo-update-test|5af04e4c66a5f07b19d8e0327443528d1dc1551bdedb707767d9de29b7a000bf|
2020-04-27 11:12:18|install|libfreebl3-hmac|3.47.1-lp151.2.13.1|x86_64||repo-update-test|b3fd82e92985a34e63c4e86f10959359f452699f5f617a58293803367e16f766|
2020-04-27 11:12:18|install|typelib-1_0-JavaScriptCore-4_0|2.28.1-lp151.2.15.1|x86_64||repo-update-test|32c7bcb0a59c31f7406c829cfd116b89973a96f2470b197931cf924cee72fdcc|
2020-04-27 11:12:21|install|libwebkit2gtk-4_0-37|2.28.1-lp151.2.15.1|x86_64||repo-update-test|7223f1cf21ab82d2ba8125168a456c711d6d72c28d40b25836c0d423228e5564|
2020-04-27 11:12:24|install|open-iscsi|2.0.876-lp151.13.9.1|x86_64||repo-update-test|8b7755c852c5edb8503af9c1c0b49b851b335ddca12bd36e4eb276b316395953|
2020-04-27 11:12:25|install|libsoftokn3-32bit|3.47.1-lp151.2.13.1|x86_64||repo-update-test|84a1d3a03b54974147cb1624ae842feea8926ce2d5829016c2b98e93cce24f56|
2020-04-27 11:12:34|install|grub2-x86_64-efi|2.02-lp151.21.15.1|noarch||repo-update-test|9bd1628722c61888e17957e455e257194ce36cc9d6d8ab6d7b5106dc921c8055|
2020-04-27 11:12:35|install|grub2-systemd-sleep-plugin|2.02-lp151.21.15.1|noarch||repo-update-test|7236d0e052f6eb78acbe10d7d129563b94530d8d26b048e6d121c5254b4e86c6|
2020-04-27 11:12:35|install|grub2-snapper-plugin|2.02-lp151.21.15.1|noarch||repo-update-test|cd41512d34f546dfa10d4341f32b74a175601ff47462c197a5976c1e4efd8d9f|
2020-04-27 11:12:35|install|libsoftokn3|3.47.1-lp151.2.13.1|x86_64||repo-update-test|37960eddf0d2a20c84bd3a7f7cb96f091375dca63ba6a986fd140adbac7b2a4b|
2020-04-27 11:12:36|install|webkit2gtk-4_0-injected-bundles|2.28.1-lp151.2.15.1|x86_64||repo-update-test|ae8e537d4e3559227853d506a6dfb8596cc93862502a75e8e74971e01f4b1264|
2020-04-27 11:12:37|install|mozilla-nss-32bit|3.47.1-lp151.2.13.1|x86_64||repo-update-test|dc40efb50b693869bde8024759bd46ee5239b979a636691c8b99c5c82cf14a01|
2020-04-27 11:12:38|install|mozilla-nss|3.47.1-lp151.2.13.1|x86_64||repo-update-test|41998bc1bb5c5e469d035eb74a9402079d469998ca0cb1d93adeb7308c469749|
2020-04-27 11:12:39|install|typelib-1_0-WebKit2-4_0|2.28.1-lp151.2.15.1|x86_64||repo-update-test|362e93196a242ec06776e2ee53eccbe70be0b000e44d631c0fb9de703d4d07d8|
2020-04-27 11:12:40|install|libwebkit2gtk3-lang|2.28.1-lp151.2.15.1|noarch||repo-update-test|322432331957964a391705f614073639bfabd0a90b423d9fd721462cbb71efdf|
2020-04-27 11:12:40|install|libsoftokn3-hmac|3.47.1-lp151.2.13.1|x86_64||repo-update-test|7afbffda90dc78aa1129da811e008c1890bf2b5b6001d4354a632af4fddfd44a|
2020-04-27 11:12:42|install|java-9-openjdk|9.0.4.0-lp151.16.3|x86_64|root@linux-81l7|openSUSE_Leap_15.0|3846f0a4e724b20b895032a49fa7a351ce3d0afa1073e0179b1042cb649f575d|

2020-04-27 11:14:49 Output of ucode-intel-20191115-lp151.2.21.1.x86_64.rpm %posttrans script:

linux-81l7:~ #

Gruß
Andreas

Poste:

zypper lr -d
zypper se -si mozilla
cat /var/log/zypp/history | grep 2020-04-2

Wie in dem anderen Beitrag:
Was soll das Update-Test Repo?

Wirf das raus und stell alle daraus installierten Pakete auf das Update bzw. OSS Repo um.
Dann funktioniert der Firefox schon wieder…

PS:
Für Konsolenausgaben bitte Code-Tags benutzen:
https://forums.opensuse.org/showthread.php/536143-Using-Code-Tags-Around-Your-Paste

Hallo Gemeinde,
Hallo Sauerland,

die “test-repo” habe herausgenommen, wie die mal hereinkamen weiß ich nicht mehr.

Dann:
zypper dup --from repo-update
zypper dup --from Packman

Firefox läuft wieder

Danke für die Hilfe, Fall gelöst! lol!

Gruß
Andreas

Hallo Gemeinde,

nach diesem ganzen Vorfall und den Downgrade, habe ich das Problem, dass Firefox keine YouTube Livestreams mehr anzeigt, Videos an sich funktionieren zwar, aber eben keine Livestreams von Webcam’s

Was kann ich tun?

Danke und Gruß
Andreas

Das Problem ist, HTML5 benötigt MP4/H.264 und, Firefox und, Patente und, Lizenzen …

Bitte, bitte, nur „Packman Essentials” verwenden!
Die folgende Packman RPMs installieren aber, acht drauf dass, mehr als ein paar RPMs wird zusätzlich installiert:

libavcodec56, libavcodec57, libavcodec58, libavformat56, libavformat57, libavformat58, libavdevice56, libavdevice57, libavdevice58

Ja mach ich.
Danke für die Info.

Gruß Andres

Bitte, bitte, nur „Packman Essentials” verwenden!

Gegenfrage: Warum?

13 | packman.inode.at-suse      | packman                    | Ja        | (r ) Ja         | Ja             |   35      | rpm-md   | http://packman.inode.at/suse/openSUSE_Leap_15.1/

Hallo Sauerland,

ich habe es mittlerweile abgeändert, nun funzt wieder alles.
Danke für die Unterstützung und Hilfe.

Gruß Andreas

Für HTML5 bzw. MP4/H.264 Unterstützung im Firefox, nur ein begrenzte menge an Packman Pakete sind nötig und, alle sind in ‘/Essentials/’ abrufbar …

Dann solltest du das aber auch sagen, das es nur um die Pakete geht, ansonsten ist es in meinen Augen sinnvoll, das komplette Repository einzubinden, sind halt viele Programme vorhanden, die es im OSS Repo nicht gibt.